/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package manager;

import javax.ejb.Remote;

/**
 *
 * @author Szilárd
 */
@Remote
public interface LessionSessionBeanRemote {

    public void newLesson(entities.Lesson l);

    public java.util.List<entities.Lesson> findByL(entities.CurrentSubject cs);

    public java.util.List<entities.Lesson> findByP(entities.CurrentSubject cs);

    public void updateInc(java.lang.Long id);

    public void updatedec(java.lang.Long id);

    public boolean findById(java.lang.Long id);

    public java.util.List<entities.Lesson> findBySemesterANDTeacher(entities.Users u, entities.Semester s);

    
}
